Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_model_add

## Name

librdf_model_add -- Create and add a new statement about a resource to the model

## Synopsis

``int `librdf_model_add`` (librdf_model* `model`, librdf_node* `subject`, librdf_node* `predicate`, librdf_node* `object`);`

## Arguments

`model`

  model object

`subject`

  librdf_node of subject

`predicate`

  librdf_node of predicate

`object`

  librdf_node of object (literal or resource)

## Description

After this method, the librdf_node objects become owned by the model. All of subject, predicate and object must be non-NULL.

## Return value

non 0 on failure

<<< Previous | Home | Next >>>
librdf_model_add_statements | Up | librdf_model_add_typed_literal_statement